#pragma once
#include "olcPixelGameEngine.h"
#include "MemoryType.h"

struct Unit;

class CollectionPoint{
public:
	vf2d pos;
	Renderable img;
	Sprite*originalCollectionPointImg;
	MemoryType type;
	vf2d randomOffset;
	float rot;
	std::weak_ptr<Unit>attachedUnit;
	CollectionPoint(PixelGameEngine*pge,vf2d pos,float rot,Renderable&collectionPointImg,MemoryType type);
	void Update(PixelGameEngine*pge,Renderable&matrixImg);
};